Package org.apache.solr.client.solrj.response

# Class SimpleSolrResponse

java.lang.Object
org.apache.solr.client.solrj.SolrResponse
org.apache.solr.client.solrj.response.SimpleSolrResponse

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Direct Known Subclasses:
  `InputStreamResponse`

public class SimpleSolrResponse extends SolrResponse

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`elapsedTime`
`NamedList<Object>`
`nl`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`SimpleSolrResponse()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getElapsedTime()`
Elapsed time in milliseconds for the request as seen from the client.
`NamedList<Object>`
`getResponse()`
`void`
`setElapsedTime(long elapsedTime)`
`void`
`setResponse(NamedList<Object> rsp)`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`getException, writeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Field Details

### elapsedTime

public long elapsedTime

### nl

public NamedList<Object> nl

## Constructor Details

### SimpleSolrResponse

public SimpleSolrResponse()

## Method Details

### getElapsedTime

public long getElapsedTime()
Description copied from class: `SolrResponse`
Elapsed time in milliseconds for the request as seen from the client.

Specified by:
  `getElapsedTime` in class `SolrResponse`

### getResponse

public NamedList<Object> getResponse()

Specified by:
  `getResponse` in class `SolrResponse`

### setResponse

public void setResponse(NamedList<Object> rsp)

Specified by:
  `setResponse` in class `SolrResponse`

### setElapsedTime

public void setElapsedTime(long elapsedTime)

Specified by:
  `setElapsedTime` in class `SolrResponse`